src/main/java/de/fhg/fokus/edp/mqa/service/namedBeans/CatalogsBean.java
package de.fhg.fokus.edp.mqa.service.namedBeans;

import com.google.common.collect.ImmutableSortedSet;
import com.google.common.collect.Ordering;
import de.fhg.fokus.edp.mqa.service.model.Catalog;
import de.fhg.fokus.edp.mqa.service.validation.ValidationData;
import de.fhg.fokus.edp.mqa.service.validation.ValidationDataClient;
import de.fhg.fokus.edp.mqa.service.validation.ValidationDataClientType;

import javax.annotation.PostConstruct;
import javax.enterprise.context.SessionScoped;
import javax.inject.Inject;
import javax.inject.Named;
import java.io.Serializable;
import java.util.List;

/**
 * Created by bdi on 27/05/15.
 */
@Named
@SessionScoped
public class CatalogsBean implements Serializable {

    private List<Catalog> catalogs;

    @Inject
    @ValidationData(ValidationDataClientType.PERSISTENCE)
    private ValidationDataClient vdc;


    /**
     * Init.
     */
    @PostConstruct
    public void init() {
        this.catalogs = vdc.listAllCatalogs();
    }

    /**
     * Gets catalogs.
     *
     * @return the catalogs
     */
    public List<Catalog> getCatalogs() {
        return this.catalogs;
    }

    public List<Catalog> getCatalogsSortedByTitle() {
        Ordering<Catalog> catalogOrdering = Ordering.natural().onResultOf(catalog -> catalog.getName().trim().toLowerCase());
        return ImmutableSortedSet.orderedBy(catalogOrdering).addAll(catalogs).build().asList();
    }

    /**
     * Sets catalogs.
     *
     * @param catalogs the catalogs
     */
    public void setCatalogs(List<Catalog> catalogs) {
        this.catalogs = catalogs;
    }
}

src/main/java/de/fhg/fokus/edp/mqa/service/namedBeans/CurrentCatalogBean.java
package de.fhg.fokus.edp.mqa.service.namedBeans;

import de.fhg.fokus.edp.mqa.service.fetch.MqaHttpProvider;
import de.fhg.fokus.edp.mqa.service.log.Log;
import de.fhg.fokus.edp.mqa.service.model.Catalog;
import de.fhg.fokus.edp.mqa.service.validation.ValidationData;
import de.fhg.fokus.edp.mqa.service.validation.ValidationDataClient;
import org.slf4j.Logger;

import javax.annotation.PostConstruct;
import javax.enterprise.context.RequestScoped;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import javax.inject.Named;
import javax.json.JsonObject;
import javax.json.JsonValue;
import java.io.Serializable;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

import static de.fhg.fokus.edp.mqa.service.validation.ValidationDataClientType.PERSISTENCE;

/**
 * Created by bdi on 27/05/15.
 */
@RequestScoped
@Named
public class CurrentCatalogBean implements Serializable {

    @Inject
    private MqaHttpProvider httpProvider;

    private String catalogId;
    private String catalogName;
    private String catalogTitle;

    private int datasetsNotAccessible = 0;
    private int datasetsNonConformant = 0;

    @PostConstruct
    public void init() {
        FacesContext context = FacesContext.getCurrentInstance();
        Map<String, String> paramMap = context.getExternalContext().getRequestParameterMap();

        catalogName = paramMap.get("catalogName");

        if (catalogName != null) {
            httpProvider.getMetric("/info/catalogues").ifPresent(json -> {
                if (json.getBoolean("success")) {
                    for (JsonValue c : json.getJsonArray("result")) {
                        JsonObject catalogue = (JsonObject) c;

                        if (catalogName.equals(catalogue.getString("name"))) {
                            catalogId = catalogue.getString("id");
                            catalogTitle = catalogue.getString("title");
                            break;
                        }
                    }
                }
            });

            datasetsNotAccessible = getCount("/metric/catalogues/" + catalogId + "/datasets/notaccessible_count");
            datasetsNonConformant = getCount("/metric/catalogues/" + catalogId + "/datasets/nonconformant_count");
        }
    }

    public int getAffectedDatasetsWithDistributionIssues() {
        return datasetsNotAccessible;
    }

    public void setAffectedDatasetsWithDistributionIssues(int datasetsNotAccessible) {
        this.datasetsNotAccessible = datasetsNotAccessible;
    }

    public int getAffectedDatasetsWithViolationIssues() {
        return datasetsNonConformant;
    }

    public void setAffectedDatasetsWithViolationIssues(int datasetsNonConformant) {
        this.datasetsNonConformant = datasetsNonConformant;
    }

    public String getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(String catalogId) {
        this.catalogId = catalogId;
    }

    public String getCatalogName() {
        return catalogName;
    }

    public void setCatalogName(String catalogName) {
        this.catalogName = catalogName;
    }

    public String getCatalogTitle() {
        return catalogTitle;
    }

    public void setCatalogTitle(String catalogTitle) {
        this.catalogTitle = catalogTitle;
    }

    private Integer getCount(String endpoint) {
        AtomicInteger distributionCount = new AtomicInteger(0);

        httpProvider.getMetric(endpoint).ifPresent(json -> {
            if (json.getBoolean("success")) {
                distributionCount.set(json.getInt("result"));
            }
        });

        return distributionCount.get();
    }
}

src/main/webapp/WEB-INF/compositions/catalogPagination.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core" xmlns:c="http://java.sun.com/jsp/jstl/core">
<body>
<ui:composition>
    <c:set var="pageUrl"
           value="#{request.contextPath}/#{languageBean.lang}/#{facesContext.viewRoot.viewId.substring(1,facesContext.viewRoot.viewId.length()-6)}"
           scope="request"/>
    <h:panelGroup id="pagination">
        <div role="navigation">
            <ul class="pagination pull-right">
                <li class="#{catalogPagingBean.firstRow != 0 ? '' : 'disabled'}">
                    <h:outputLink id="paginationFirst" disabled="#{catalogPagingBean.firstRow == 0}">
                        <span class="glyphicon glyphicon-step-backward"/>
                        <f:param name="page" value="1"/>
                    </h:outputLink>
                </li>

                <li class="#{catalogPagingBean.firstRow != 0 ? '' : 'disabled'}">
                    <h:outputLink id="paginationPreviews" disabled="#{catalogPagingBean.firstRow == 0}">
                        <span class="glyphicon glyphicon-backward"/>
                        <f:param name="page" value="#{catalogPagingBean.currentPage - 1}"/>
                    </h:outputLink>
                </li>

                <ui:repeat value="#{catalogPagingBean.pages}" var="page">
                    <li class="#{page == catalogPagingBean.currentPage ? 'active' : ''}">
                        <h:outputLink id="paginationPage-#{page}" value="${pageUrl}"
                                      disabled="#{page == catalogPagingBean.currentPage}">
                            <h:outputText value="#{page}"/>
                            <f:param name="page" value="#{page}"/>
                        </h:outputLink>
                    </li>
                </ui:repeat>

                <li class="#{catalogPagingBean.firstRow + catalogPagingBean.rowsPerPage ge catalogPagingBean.totalRows ? 'disabled' : ''}">
                    <h:outputLink id="paginationNext" disabled="#{catalogPagingBean.firstRow + catalogPagingBean.rowsPerPage ge catalogPagingBean.totalRows}">
                        <span class="glyphicon glyphicon-forward"/>
                        <f:param name="page" value="#{catalogPagingBean.currentPage + 1}"/>
                    </h:outputLink>
                </li>

                <li class="#{catalogPagingBean.firstRow + catalogPagingBean.rowsPerPage ge catalogPagingBean.totalRows ? 'disabled' : ''}">
                    <h:outputLink id="paginationLast" disabled="#{catalogPagingBean.firstRow + catalogPagingBean.rowsPerPage ge catalogPagingBean.totalRows}">
                        <span class="glyphicon glyphicon-fast-forward"/>
                        <f:param name="page" value="#{catalogPagingBean.totalPages}"/>
                    </h:outputLink>
                </li>

                <li class="disabled">
                    <h:outputLink id="paginationNoContent" disabled="true">
                        #{msg['common.page']} #{catalogPagingBean.currentPage} / #{catalogPagingBean.totalPages}
                    </h:outputLink>
                </li>
            </ul>
        </div>
    </h:panelGroup>
    <div class="row">
        <div class="col-md-10">
            <span id="copyright">
                Flag Images &copy; Free Country Flags (<a href="http://www.free-country-flags.com/">Gang of the Coconuts</a>) / <a href="http://creativecommons.org/licenses/by-sa/3.0/">CC BY-SA 3.0</a>
            </span>
        </div>
    </div>
    <br></br>
</ui:composition>
</body>
</html>

src/main/webapp/WEB-INF/compositions/catalogSelectContent.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html" >

<body>
<ui:composition>

    <h2><h:outputText id="heading" value="#{msg['navigation.select_catalogue']}"/></h2>

    <div class="list-group">
        <ui:repeat value="#{catalogsBean.catalogsSortedByTitle}" var="catalog">
            <div class="well">
                <div class="row">
                    <div class="col-md-11">
                        <a href="#{request.contextPath}/#{languageBean.lang}/catalogue/#{catalog.name}">
                            <h3 class="panel-title">
                                <span id="#{catalog.name}" class="truncate-name wd100"
                                        title="#{catalog.title}">#{catalog.title}</span>
                            </h3>
                        </a>
                    </div>
                    <div class="col-md-1" >
                        <h:graphicImage
                                name="img/flags/#{not empty facesContext.application.resourceHandler.createResource('img/flags/'.concat(catalog.spatial.toLowerCase()).concat('.png'))
                                                    ? catalog.spatial.toLowerCase()
                                                    : 'europe'}.png"
                                width="30"
                                height="20"
                        />
                    </div>
                </div>
                <ui:fragment rendered="#{not empty catalog.description}">
                    <div class="row">
                        <div class="col-md-11">
                            <span id="#{catalog.name}'.description" class="truncate-name wd70">
                                #{catalog.description}
                            </span>
                        </div>
                    </div>
                </ui:fragment>
            </div>
        </ui:repeat>
    </div>
</ui:composition>
</body>
</html>

src/main/webapp/WEB-INF/compositions/commonFooter.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">
>
<body>
<ui:composition>
    <p:outputPanel
            rendered="false"><!-- This is only that primefaces jQuery gets loaded on every page --></p:outputPanel>
    <div class="site-wrapper">
        <div id="layout-footer" class="container-fluid" style="padding-left: 0;padding-right: 0">
            <div class="row">
                <div class="col-md-4 col-sm-12">
                    <div class="funded-by">
                        <img src="https://www.europeandataportal.eu/sites/default/files/funded-by.png"/>
                        <p id="text53" title="Funded_by_the_European_Union">Funded by the European Union</p>
                    </div>
                </div>
                <div class="col-md-4 col-sm-12">
                    <div class="newsletter">
                        <strong id="text51" title="Newsletter">Newsletter</strong>
                        <label for="newsletter-signup" id="text42"
                               title="Stay_informed_on_our_latest_news">Stay informed on our latest news!</label>
                        <form class="simplenews-subscribe" action="/" method="post" id="simplenews-block-form-39"
                              accept-charset="UTF-8">
                            <div>
                                <div class="form-item form-type-textfield form-item-mail">
                                    <label for="edit-mail">E-mail <span class="form-required"
                                                                        title="This field is required.">*</span></label>
                                    <input placeholder="name@example.com" class="form-control form-text required"
                                           type="text" id="edit-mail" name="mail" value="" size="20"
                                           maxlength="128"/>
                                </div>
                                <input type="submit" id="text54" title="Subscribe" class="btn btn-default"></input>
                                <input type="hidden" name="form_build_id"
                                       value="form-q7CetVQm0Y3l85p7H1MTPFKwr7-XIEa3uRiz3fp6prM"/>
                                <input type="hidden" name="form_id" value="simplenews_block_form_39"/>
                                <div class="hide"></div>
                                <div class="hide"></div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-md-4 col-sm-12">
                    <div class="follow-us">
                        <strong id="text50" title="Follow_us_on">Follow us on</strong>
                        <a target="_new" href="https://www.facebook.com/EuropeanDataPortal"><i
                                class="fa fa-facebook"
                                aria-hidden="true"></i></a>
                        <a target="_new" href="https://twitter.com/EU_DataPortal"><i class="fa fa-twitter"
                                                                                     aria-hidden="true"></i></a>
                        <a target="_new" href="https://plus.google.com/103679408419810180085"><i
                                class="fa fa-google-plus" aria-hidden="true"></i></a>
                        <a target="_new" href="https://www.linkedin.com/groups/8428984/"><i class="fa fa-linkedin"
                                                                                            aria-hidden="true"></i></a>
                    </div>
                </div>
                <div class="col-md-7 col-md-offset-4 col-sm-12 sub-footer">
                    <div class="region region-footer">
                        <div id="block-block-4" class="block block-block panel panel-default clearfix">
                            <div class="panel-body content">
                                <p>
                                    <a href="/en/feedback/form?type=4" id="text43" class="languageSelect"
                                       title="Help_us_improve"><strong>Help us improve</strong><br/>Your feedback will help us to improve the overall user experience.&nbsp;Any suggestions?</a>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="layout-footer-final" class="container-fluid" style="padding-left: 0;padding-right: 0">
            <div class="row">
                <div class="col-xs-6">
                    <ul>
                        <li>
                            <h:outputText id="lastMqaRunLabel" value="#{msg['hf.last_update']} "/>

                            <h:panelGroup rendered="#{mqaScheduler.previousOrNextValidationRunDate != null}">
                                <h:outputText id="lastMqaRunScheduler"
                                              value="#{mqaScheduler.previousOrNextValidationRunDate}">
                                    <f:converter binding="#{dateTimeConverterShort}"/>
                                </h:outputText>
                            </h:panelGroup>
                        </li>
                        <!--<li id="text11" title="Last_Updated">Last update: 10/02/2017</li>-->
                        <li>
                            <h:panelGroup id="spinner" layout="block" title="#{msg['hf.running']}"
                                          rendered="#{mqaScheduler.isValidationJobRunning()}">
                                <div class="fa fa-refresh fa-spin fa-lg fa-fw"></div>
                                <span>${msg['hf.running']}</span>
                            </h:panelGroup>
                        </li>
                    </ul>
                </div>
                <div class="col-xs-6">
                    <ul class="menu clearfix list-group list-group-flush list-unstyled">
                        <li class="first leaf"><a href="/en/newsletter/subscribe"
                                                  data-display-title="1" data-remove-class="0"
                                                  class="list-group-item languageSelect" id="text44"
                                                  title="Newsletter">Newsletter</a></li>
                        <li class="leaf"><a href="/en/faq" data-display-title="1"
                                            data-remove-class="0" class="list-group-item languageSelect">FAQ</a></li>
                        <li class="leaf"><a href="/en/search/site"
                                            data-display-title="1" data-remove-class="0"
                                            class="list-group-item languageSelect" id="text45" title="Search">Search</a>
                        </li>
                        <li class="leaf"><a href="/en/feedback/form?type=1"
                                            data-display-title="1" id="text46" title="Contact" data-remove-class="0"
                                            class="list-group-item languageSelect">Contact</a></li>
                        <li class="leaf"><a href="/en/cookies"
                                            data-display-title="1" id="text47" title="Cookies"
                                            data-remove-class="0" class="list-group-item languageSelect">Cookies</a>
                        </li>
                        <li class="leaf"><a href="/en/legal-notice"
                                            data-display-title="1" data-remove-class="0" id="text48"
                                            title="Legal_notice"
                                            class="list-group-item languageSelect">Legal notice</a></li>
                        <li class="last leaf"><a href="/sparql-manager/en/user"
                                                 data-display-title="1" data-remove-class="0"
                                                 id="text49" title="Login"
                                                 class="list-group-item languageSelect">Login</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <a href="#top-page" class="btn-back-top" style="display: none;">
            <!--Top--><span class="glyphicon glyphicon-chevron-up"></span>
        </a>
    </div>
    <!--<footer class="footer row bd-bot">
    <ul class="list-inline">
        <li><a href="/#{languageBean.lang}/search/site"> <h:outputText
                    value="#{messages['SPARQLMANAGER.HF.SEARCH']}" /></a></li>
        <li><a href="/#{languageBean.lang}/feedback/form"><h:outputText
                    value="#{messages['SPARQLMANAGER.HF.CONTACT']}" /></a></li>
        <li><a href="/#{languageBean.lang}/cookies"><h:outputText
                    value="#{messages['SPARQLMANAGER.HF.COOKIES']}" /></a></li>
        <li><a href="/#{languageBean.lang}/legal-notice"><h:outputText
                    value="#{messages['SPARQLMANAGER.HF.LEGAL_NOTICE']}" /></a></li>
        <li><a
            href="https://webgate.ec.europa.eu/cas/login?service=https://www.paneuropeandataportal.eu/en/user/login"><h:outputText
                    value="#{messages['SPARQLMANAGER.HF.LOGIN']}" /></a></li>
    </ul>

    &lt;!&ndash; <h:outputText value="#{session.lastAccessedTime}">
                        <f:convertDateTime pattern="yyyy-dd-MM" type="date" />
                    </h:outputText> &ndash;&gt; </footer>-->
    <h:outputScript library="js" name="languageSelect.js"/>
</ui:composition>
</body>
</html>

src/main/webapp/WEB-INF/compositions/datasetPagination.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core" xmlns:c="http://java.sun.com/jsp/jstl/core">
<body>
<ui:composition>
    <c:set var="pageUrl"
           value="#{request.contextPath}/#{languageBean.lang}/catalogue/#{currentCatalogBean.catalogName}/#{facesContext.viewRoot.viewId.substring(1,facesContext.viewRoot.viewId.length()-6)}"
           scope="request"/>
    <h:panelGroup id="pagination" rendered="#{datasetPagingBean.dataList.size() gt 0}">
        <div role="navigation">
            <ul class="pagination pull-right">
                <li class="#{datasetPagingBean.firstRow != 0 ? '' : 'disabled'}">
                    <h:outputLink id="paginationFirst" disabled="#{datasetPagingBean.firstRow == 0}">
                        <span class="glyphicon glyphicon-step-backward"/>
                        <f:param name="page" value="1"/>
                    </h:outputLink>
                </li>

                <li class="#{datasetPagingBean.firstRow != 0 ? '' : 'disabled'}">
                    <h:outputLink id="paginationPreviews" disabled="#{datasetPagingBean.firstRow == 0}">
                        <span class="glyphicon glyphicon-backward"/>
                        <f:param name="page" value="#{datasetPagingBean.currentPage - 1}"/>
                    </h:outputLink>
                </li>

                <ui:repeat value="#{datasetPagingBean.pages}" var="page">
                    <li class="#{page == datasetPagingBean.currentPage ? 'active' : ''}">
                        <h:outputLink id="paginationPage-#{page}" value="${pageUrl}"
                                      disabled="#{page == datasetPagingBean.currentPage}">
                            <h:outputText value="#{page}"/>
                            <f:param name="page" value="#{page}"/>
                        </h:outputLink>
                    </li>
                </ui:repeat>

                <li class="#{datasetPagingBean.firstRow + datasetPagingBean.rowsPerPage ge
                                            datasetPagingBean.totalRows ? 'disabled' : ''}">
                    <h:outputLink id="paginationNext" disabled="#{datasetPagingBean.firstRow + datasetPagingBean.rowsPerPage ge
                                            datasetPagingBean.totalRows}">
                        <span class="glyphicon glyphicon-forward"/>
                        <f:param name="page" value="#{datasetPagingBean.currentPage + 1}"/>
                    </h:outputLink>
                </li>

                <li class="#{datasetPagingBean.firstRow + datasetPagingBean.rowsPerPage ge
                                            datasetPagingBean.totalRows ? 'disabled' : ''}">
                    <h:outputLink id="paginationLast" disabled="#{datasetPagingBean.firstRow + datasetPagingBean.rowsPerPage ge
                                            datasetPagingBean.totalRows}">
                        <span class="glyphicon glyphicon-fast-forward"/>
                        <f:param name="page" value="#{datasetPagingBean.totalPages}"/>
                    </h:outputLink>
                </li>

                <li class="disabled">
                    <h:outputLink id="paginationNoContent"
                                  disabled="true">#{msg['common.page']} #{datasetPagingBean.currentPage} /
                        #{datasetPagingBean.totalPages}</h:outputLink>
                </li>
            </ul>
        </div>
    </h:panelGroup>
</ui:composition>
</body>
</html>

src/main/webapp/WEB-INF/compositions/footer.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">
<body>
<ui:composition>

    <p:outputPanel
            rendered="false"><!-- This is only that primefaces jQuery gets loaded on every page --></p:outputPanel>

    <div id="currentlyChecking" class="col-md-6 text-left">
        <h:panelGroup id="spinner" layout="block" title="#{msg['hf.running']}"
                      rendered="#{mqaScheduler.isValidationJobRunning()}">
            <div class="fa fa-refresh fa-spin fa-lg fa-fw"></div>
            <span>${msg['hf.running']}</span>
        </h:panelGroup>
    </div>

    <div id="lastUpdate" class="row gray_bg">
        <div class="col-md-6 text-right">
            <div class="label label-default">
                <h:outputText id="lastMqaRunLabel" value="#{msg['hf.last_update']} "/>

                <h:panelGroup rendered="#{mqaScheduler.previousOrNextValidationRunDate != null}">
                    <h:outputText id="lastMqaRunScheduler" value="#{mqaScheduler.previousOrNextValidationRunDate}">
                        <f:converter binding="#{dateTimeConverterMedium}"/>
                    </h:outputText>
                </h:panelGroup>
            </div>
        </div>

    </div>

</ui:composition>
</body>
</html>

src/main/webapp/WEB-INF/compositions/leftMenu.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html">
<body>
<ui:composition>
    <div class="list-group">
        <h:outputLink id="dashboard"
                      value="#{request.contextPath}/#{languageBean.lang}"
                      title="#{msg['leftmenu.dashboard.global']}"
                      styleClass="list-group-item languageSelect"
                      data-intro="#{msg['dashboard.heading']}">
            <span class="glyphicon glyphicon-globe" aria-hidden="true"/>
            <h:outputText value=" #{msg['leftmenu.dashboard.global']}"/>
        </h:outputLink>
        <h:outputLink id="cataloguesLink"
                      value="#{request.contextPath}/#{languageBean.lang}/catalogues"
                      title="#{msg['leftmenu.catalogues']}"
                      styleClass="list-group-item languageSelect"
                      data-intro="#{msg['leftmenu.help.catalogselection']}">
            <span class="glyphicon glyphicon-book" aria-hidden="true"/>
            <h:outputText value=" #{msg['leftmenu.catalogues']}"/>
        </h:outputLink>
        <h:outputLink id="reportLink"
                      value="#{request.contextPath}/#{languageBean.lang}/reports"
                      title="#{msg['hf.downloadreport']}"
                      styleClass="list-group-item languageSelect"
                      data-intro="#{msg['hf.downloadreport']}">
            <span class="glyphicon glyphicon-save" aria-hidden="true"/>
            <h:outputText value=" #{msg['hf.downloadreport']}"/>
        </h:outputLink>
    </div>

    <h:panelGroup layout="block" class="list-group" rendered="#{not empty currentCatalogBean.catalogName}">
        <h:outputLink id="catalogueDashboardLink"
                      value="#{request.contextPath}/#{languageBean.lang}/catalogue/#{currentCatalogBean.catalogName}"
                      title="#{msg['catalog.dashboard.title']}"
                      styleClass="list-group-item" data-intro="#{msg['catalog.dashboard.introduction']}">
            <span class="glyphicon glyphicon-stats" aria-hidden="true"/>
            <h:outputText value=" #{msg['catalog.dashboard.title']}"/>
        </h:outputLink>
        <h:outputLink id="distributionsLink"
                      value="#{request.contextPath}/#{languageBean.lang}/catalogue/#{currentCatalogBean.catalogName}/distributions"
                      title="#{msg['common.distributions']}"
                      styleClass="list-group-item" data-intro="#{msg['leftmenu.help.distributions']}"
                      disabled="#{currentCatalogBean.affectedDatasetsWithDistributionIssues eq 0}">
            <span class="glyphicon glyphicon-link" aria-hidden="true"/>
            <h:outputText value=" #{msg['common.distributions']}"/>
            <span class="badge"
                  title="#{msg['common.affacteddatasets']}">#{currentCatalogBean.affectedDatasetsWithDistributionIssues}</span>
        </h:outputLink>
        <h:outputLink id="violationsLink"
                      value="#{request.contextPath}/#{languageBean.lang}/catalogue/#{currentCatalogBean.catalogName}/violations"
                      title="#{msg['common.violations']}"
                      styleClass="list-group-item" data-intro="#{msg['leftmenu.help.violations']}"
                      disabled="#{currentCatalogBean.affectedDatasetsWithViolationIssues eq 0}">
            <span class="glyphicon glyphicon-flash" aria-hidden="true"/>
            <h:outputText value=" #{msg['common.violations']}"/>
            <span class="badge"
                  title="#{msg['common.affacteddatasets']}">#{currentCatalogBean.affectedDatasetsWithViolationIssues}</span>
        </h:outputLink>
    </h:panelGroup>

</ui:composition>
</body>
</html>